| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | List of all members
GaudiPython.Bindings.iHistogramSvc Class Reference
Inheritance diagram for GaudiPython.Bindings.iHistogramSvc:
[legend]
Collaboration diagram for GaudiPython.Bindings.iHistogramSvc:
[legend]

## Public Member Functions
def | __init__ (self, name, ihs)
def | retrieve1D (self, path)
def | retrieve2D (self, path)
def | retrieve3D (self, path)
def | retrieveProfile1D (self, path)
def | retrieveProfile2D (self, path)
def | retrieve (self, path)
def | book (self, *args)
def | bookProf (self, *args)
def | __getitem__ (self, path)
def | getAsAIDA (self, path)
def | getAsROOT (self, path)
Public Member Functions inherited from GaudiPython.Bindings.iDataSvc
def | registerObject (self, path, obj)
def | unregisterObject (self, path)
def | retrieveObject (self, path)
def | findObject (self, path)
def | getObject (self, path, *args)
def | __setitem__ (self, path, obj)
def | __delitem__ (self, path)
def | leaves (self, node=None)
def | dump (self, node=None)
def | getList (self, node=None, lst=[], rootFID=None)
def | getHistoNames (self, node=None, lst=[])
def | setRoot (self, name, obj)
def | clearStore (self)
Public Member Functions inherited from GaudiPython.Bindings.iService
def | retrieveInterface (self)
def | initialize (self)
def | start (self)
def | stop (self)
def | finalize (self)
def | reinitialize (self)
def | restart (self)
def | isValid (self)
Public Member Functions inherited from GaudiPython.Bindings.iProperty
def | getInterface (self)
def | __call_interface_method__ (self, ifname, method, *args)
def | __setattr__ (self, name, value)
def | __getattr__ (self, name)
def | properties (self)
def | name (self)

## Detailed Description

Definition at line 680 of file Bindings.py.

## Constructor & Destructor Documentation

## ◆ __init__()

def GaudiPython.Bindings.iHistogramSvc.__init__ | ( |  | self,
|  |  | name,
|  |  | ihs
| ) |  |

Reimplemented from GaudiPython.Bindings.iDataSvc.

Definition at line 681 of file Bindings.py.

681 def __init__(self, name, ihs):
682 self.__dict__['_ihs'] = InterfaceCast(gbl.IHistogramSvc)(ihs)
683 iDataSvc.__init__(self, name, ihs)
684

## Member Function Documentation

## ◆ __getitem__()

def GaudiPython.Bindings.iHistogramSvc.__getitem__ | ( |  | self,
|  |  | path
| ) |  |

    Retrieve the object from  Histogram Transient Store (by path)
    The reference to AIDA histogram is returned (if possible)
    >>> svc = ...
    >>> histo = svc['path/to/my/histogram']

Reimplemented from GaudiPython.Bindings.iDataSvc.

Definition at line 733 of file Bindings.py.

733 def __getitem__(self, path):
734 """
735 Retrieve the object from Histogram Transient Store (by path)
736 The reference to AIDA histogram is returned (if possible)
737 >>> svc = ...
738 >>> histo = svc['path/to/my/histogram']
739 """
740 h = self.retrieve(path)
741 if h:
742 return h
743 return iDataSvc.__getitem__(self, path)
744
GaudiPython.Pythonizations.__getitem__
__getitem__
Definition: Pythonizations.py:115

## ◆ book()

def GaudiPython.Bindings.iHistogramSvc.book | ( |  | self,
|  | * | args
| ) |  |

    Book the histograms(1D,2D&3D) , see IHistogramSvc::book
    >>> svc = ...
    >>> histo = svc.book( .... )

Definition at line 717 of file Bindings.py.

717 def book(self, *args):
718 """
719 Book the histograms(1D,2D&3D) , see IHistogramSvc::book
720 >>> svc = ...
721 >>> histo = svc.book( .... )
722 """
723 return self._ihs.book(*args)
724
Gaudi::Histos::book
GAUDI_API AIDA::IHistogram1D * book(IHistogramSvc *svc, const std::string &path, const Gaudi::Histo1DDef &hist)
helper function to book 1D-histogram
Definition: HistoDef.cpp:87

## ◆ bookProf()

def GaudiPython.Bindings.iHistogramSvc.bookProf | ( |  | self,
|  | * | args
| ) |  |

    Book the profile(1D&2D) histograms, see IHistogramSvc::bookProf
    >>> svc = ...
    >>> histo = svc.bookProf( .... )

Definition at line 725 of file Bindings.py.

725 def bookProf(self, *args):
726 """
727 Book the profile(1D&2D) histograms, see IHistogramSvc::bookProf
728 >>> svc = ...
729 >>> histo = svc.bookProf( .... )
730 """
731 return self._ihs.bookProf(*args)
732
GaudiPython.HistoUtils.bookProf
def bookProf(*args, **kwargs)
Definition: HistoUtils.py:256

## ◆ getAsAIDA()

def GaudiPython.Bindings.iHistogramSvc.getAsAIDA | ( |  | self,
|  |  | path
| ) |  |

    Retrieve the histogram from  Histogram Transient Store (by path)
    The reference to AIDA histogram is returned (if possible)
    >>> svc = ...
    >>> histo = svc.getAsAIDA ( 'path/to/my/histogram' )

Definition at line 745 of file Bindings.py.

745 def getAsAIDA(self, path):
746 """
747 Retrieve the histogram from Histogram Transient Store (by path)
748 The reference to AIDA histogram is returned (if possible)
749 >>> svc = ...
750 >>> histo = svc.getAsAIDA ( 'path/to/my/histogram' )
751 """
752 return self.__getitem__(path)
753
GaudiPython.HistoUtils.getAsAIDA
def getAsAIDA(path, **kwargs)
Definition: HistoUtils.py:336

## ◆ getAsROOT()

def GaudiPython.Bindings.iHistogramSvc.getAsROOT | ( |  | self,
|  |  | path
| ) |  |

    Retrieve the histogram from  Histogram Transient Store (by path)
    The Underlying native ROOT object is returned (if possible)
    >>> svc = ...
    >>> histo = svc.getAsROOT ( 'path/to/my/histogram' )

Definition at line 754 of file Bindings.py.

754 def getAsROOT(self, path):
755 """
756 Retrieve the histogram from Histogram Transient Store (by path)
757 The Underlying native ROOT object is returned (if possible)
758 >>> svc = ...
759 >>> histo = svc.getAsROOT ( 'path/to/my/histogram' )
760 """
761 fun = gbl.Gaudi.Utils.Aida2ROOT.aida2root
762 return fun(self.getAsAIDA(path))
763
764
765 # ----iNTupleSvc class---------------------------------------------------------
766
767
GaudiPython.HistoUtils.getAsROOT
def getAsROOT(path, **kwargs)
Definition: HistoUtils.py:361

## ◆ retrieve()

def GaudiPython.Bindings.iHistogramSvc.retrieve | ( |  | self,
|  |  | path
| ) |  |

    Retrieve AIDA histogram or AIDA profile histogram by path in Histogram Transient Store
    >>> svc = ...
    >>> histo = svc.retrieve ( 'path/to/my/histogram' )

Definition at line 700 of file Bindings.py.

700 def retrieve(self, path):
701 """
702 Retrieve AIDA histogram or AIDA profile histogram by path in Histogram Transient Store
703 >>> svc = ...
704 >>> histo = svc.retrieve ( 'path/to/my/histogram' )
705 """
706 h = self.retrieve1D(path)
707 if not h:
708 h = self.retrieve2D(path)
709 if not h:
710 h = self.retrieve3D(path)
711 if not h:
712 h = self.retrieveProfile1D(path)
713 if not h:
714 h = self.retrieveProfile2D(path)
715 return h
716

## ◆ retrieve1D()

def GaudiPython.Bindings.iHistogramSvc.retrieve1D | ( |  | self,
|  |  | path
| ) |  |

Definition at line 685 of file Bindings.py.

685 def retrieve1D(self, path):
686 return Helper.histo1D(self._ihs, path)
687

## ◆ retrieve2D()

def GaudiPython.Bindings.iHistogramSvc.retrieve2D | ( |  | self,
|  |  | path
| ) |  |

Definition at line 688 of file Bindings.py.

688 def retrieve2D(self, path):
689 return Helper.histo2D(self._ihs, path)
690

## ◆ retrieve3D()

def GaudiPython.Bindings.iHistogramSvc.retrieve3D | ( |  | self,
|  |  | path
| ) |  |

Definition at line 691 of file Bindings.py.

691 def retrieve3D(self, path):
692 return Helper.histo3D(self._ihs, path)
693

## ◆ retrieveProfile1D()

def GaudiPython.Bindings.iHistogramSvc.retrieveProfile1D | ( |  | self,
|  |  | path
| ) |  |

Definition at line 694 of file Bindings.py.

694 def retrieveProfile1D(self, path):
695 return Helper.profile1D(self._ihs, path)
696

## ◆ retrieveProfile2D()

def GaudiPython.Bindings.iHistogramSvc.retrieveProfile2D | ( |  | self,
|  |  | path
| ) |  |

Definition at line 697 of file Bindings.py.

697 def retrieveProfile2D(self, path):
698 return Helper.profile2D(self._ihs, path)
699

The documentation for this class was generated from the following file:

- GaudiPython/python/GaudiPython/Bindings.py